/* === FAQ SECTION === */
.section-faq .faq-grid {
    margin-top: 4.8rem;
    row-gap: 3.2rem;
    column-gap: 9.6rem;
    align-items: start;
}

.faq-box {
    background-color: #17417b;
    border-radius: 10px;
    padding: 2.4rem;
    display: flex;
    flex-direction: column;
    border: 1px solid #17417b;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.05);
    cursor: pointer;
    transition: background-color 0.3s ease, border-color 0.3s ease;
}

.faq-box.active {
    background-color: #515782;
    border-color: #515782;
}

.faq-question {
    font-size: 1.6rem;
    color: #D9E1EC;
    font-weight: 700;
    line-height: 1.5;
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
}

.faq-question-text {
    flex: 1;
}

.faq-question span {
    color: #a9c5eb;
    font-weight: 700;
    margin-right: 1.2rem;
}

.faq-icon {
    font-size: 2.4rem;
    color: #a9c5eb;
    margin-left: 2.4rem;
    transition: transform 0.3s ease;
    flex-shrink: 0;
}

.faq-box.active .faq-icon {
    transform: rotate(90deg);
}

.faq-answer-wrapper {
    display: grid;
    grid-template-rows: 0fr;
    transition: grid-template-rows 0.3s ease;
}

.faq-box.active .faq-answer-wrapper {
    grid-template-rows: 1fr;
}

.faq-answer {
    overflow: hidden;
    font-size: 1.4rem;
    color: #D9E1EC;
    line-height: 1.5;
    margin-top: 0;
    transition: margin-top 0.3s ease;
}

.faq-box.active .faq-answer {
    margin-top: 1.6rem;
}

.faq-answer p:not(:last-child) {
    margin-bottom: 1.2rem;
}